PCE-IMG(1)

NAME
pce-img - the PCE disk image utility

SYNOPSIS
pce-img commit [options] base [cow...]

pce-img convert [options] source target

pce-img cow [options] base [cow...]

pce-img create [options] [target...]

pce-img info [options] [source...]

pce-img rebase [options] source base target

DESCRIPTION
pce-img(1) is used to create and convert disk image files.

OPTIONS

-c, --cylinders cylinders
    Set the number of cylinders. If cylinders is auto then the number of cylinders is calculated from the image size, the number of heads and the number of sectors per track.

-C, --min-cluster-size size
    Set the minimum allocation block size for pbi and qed images. The actual size used will not be smaller than size, but it may be larger. The default is 0.

-f, --offset offset
    Set the starting offset of raw disk images.

-g, --geometry cylinders heads sectors
    Set the disk geometry. This is the same as using the -c, -h and -s options.

-h, --heads heads
    Set the number of heads. If heads is auto then the number of heads is calculated from the image size, the number of cylinders and the number of sectors per track.

-i, --input filename
    Set the input file name.

-I, --input-type type
    Set the input file type. Supported input types are:

    chd MAME CHD disk image. Only uncompressed version 5 images are supported.

    dosemu
        DOSEMU disk image

    pbi PCE block image

    pimg
        Old PCE disk image

    qed QEMU QED disk image

    raw, img
        Raw disk image

-n, --size size
    Set the disk image size. The following suffixes to size are recognized:

    B   Bytes (1)

    K   KiB (1024)

    M   MiB (1024^2)

    G   GiB (1024^3)

    T   TiB (1024^4)

    none
        Blocks (512)

-o, --output filename
    Set the output file name.

-O, --output-type type
    Set the output file type. Supported input types are:

    dosemu
        DOSEMU disk image

    pbi PCE block image

    pimg
        Old PCE disk image

    qed QEMU QED disk image

    raw, img
        Raw disk image

-q, --quiet
    Quiet operation.

-s, --sectors sectors
    Set the number of sectors per track. If sectors is auto then the number of sectors per track is calculated from the image size, the number of cylinders and the number of heads.

-w, --cow filename
    Add a COW image on top of the last input or output image.

-W, --cow-type type
    Set the COW file type. Supported COW types are:

    pbi PCE block image

    qed QEMU QED disk image

--help
    Print usage information.

--version
    Print version information.

EXAMPLES
Create a 1 GiB PIMG image:

    $ pce-img create -n 1024M -o image.pimg

Create a 10 MB PIMG image

    $ pce-img create -g 306 4 17 -o image.pimg

Convert a PIMG image to a raw image

    $ pce-img convert source.pimg dest.img

SEE ALSO
pce-ibmpc(1), pce-macplus(1), pfdc(1)

AUTHOR
Hampa Hug <hampa@hampa.ch>